Subject: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Andrea Corallo <[email-masked]>
Date: Tue, 06 Sep 2022 16:33:54 +0000

Lars Ingebrigtsen <[email-masked]> writes:

> German Pacenza <[email-masked]> writes:
>
>> Yes at the end of the file, make bootstrap didn't help
>
> Hm, yes -- I can reproduce the problem here, too.
>
> So the
>
> ;; no-native-compile: t
>
> cookie doesn't seem to actually work?  I've added Andrea to the CCs;
> perhaps he has some comments.

Hi all,

AFAICS it does work, the issue is that we print the "Compiling
blablabla.el" message before we giving up because we realize
no-native-compile is set... :/

I'll think about how to fix this.

  Andrea